Installing Cockatrice under Ubuntu 12.04

I recently came across an open source application that is being written in C++ and QT4 called Cockatrice that allows you to play Magic the Gathering games over the internet for no charge.

At the time I am writing this post, there is no easy way to get the latest stable version from repositories. A nice developer, provides a pre-built .deb package that you can fetch here. But as you can see for yourself, it’s a bit outdated.

If you wish, anyway, to compile Cockatrice from source under Ubuntu… well, it’s no big deal, but there’s a catch: since QT4.7.x , Debian (and therefore Ubuntu) don’t package QtMultimedia with Qt, but with QtMobility. 

Do as follows:

user@host:/path$ sudo apt-get install libqt4-dev qtmobility-dev

user@host:/path$ git clone git://cockatrice.git.sourceforge.net/gitroot/cockatrice/cockatrice

user@host:/path$ cd cockatrice/cockatrice

user@host:/path$ lrelease cockatrice.pro

user@host:/path$ qmake && make

user@host:/path$ cd ../oracle

user@host:/path$ qmake && make